buildscript {
    ext.kotlin_version = '1.7.10'
    repositories {
        google()
        mavenCentral()
    }

    dependencies {
        classpath 'com.android.tools.build:gradle:7.3.0'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
    }
}

allprojects {
    repositories {
        google()
        mavenCentral()

        jcenter()
        // Add the following lines to include the Nexilis repository into your app
        maven {
            url "https://nexilis.io/artifactory/nexilis-libs/"
            credentials {
                username = "***REPLACE***WITH***YOUR***MAVEN***USERNAME***"
                password = "***REPLACE***WITH***YOUR***MAVEN***PASSWORD***"
            }
        }
        maven { url 'https://maven.google.com' }
        maven { url 'https://jitpack.io' }
    }
}

rootProject.buildDir = '../build'
subprojects {
    project.buildDir = "${rootProject.buildDir}/${project.name}"
}
subprojects {
    project.evaluationDependsOn(':app')
}

tasks.register("clean", Delete) {
    delete rootProject.buildDir
}
